CREATE TABLE mot_terr_metrics_b (
    TERR_METRIC_ID                  NUMBER(18, 0) ,
    FORECAST_TRENDING_FLAG          VARCHAR2(4)   ,
    ACTIVE_FLAG                     VARCHAR2(4)       NOT NULL,
    PARTITION_ID                    NUMBER(18, 0)     NOT NULL,
    METRICS_CODE                    VARCHAR2(320)     NOT NULL,
    ACTIVATION_REQUEST              VARCHAR2(120) ,
    CALCULATED_FLAG                 VARCHAR2(4)   ,
    FORMULA_DEFINITION              VARCHAR2(4000),
    DRILL_REPORT_PATH               VARCHAR2(1024),
    ENABLED_FLAG                    VARCHAR2(4)       NOT NULL,
    VO_ATTR_NAME                    VARCHAR2(1024),
    METRICS_DATA_SOURCE             VARCHAR2(120) ,
    METRICS_QUERY_HANDLER           VARCHAR2(1024),
    METRICS_DRILL_HANDLER           VARCHAR2(1024),
    BI_FACT_NAME                    VARCHAR2(320) ,
    BI_FACT_ATTR_NAME               VARCHAR2(320) ,
    INTERNAL_FLAG                   VARCHAR2(4)   ,
    CUMULATIVE_FLAG                 VARCHAR2(4)   ,
    CUMULATIVE_HISTORY_REQUIRED     VARCHAR2(4)   ,
    ASSOCIATED_TIME_ENTITY          VARCHAR2(1024),
    ASSOCIATED_TIME_ENTITY_ATTRS    VARCHAR2(1024),
    TERR_METRIC_SUBJECT_AREA_ID     NUMBER(18, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CONFLICT_ID                     NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    TERR_METRIC_ID                  NUMBER(18, 0) ,
    FORECAST_TRENDING_FLAG          VARCHAR2(4)   ,
    ACTIVE_FLAG                     VARCHAR2(4)       NOT NULL,
    PARTITION_ID                    NUMBER(18, 0)     NOT NULL,
    METRICS_CODE                    VARCHAR2(320)     NOT NULL,
    ACTIVATION_REQUEST              VARCHAR2(120) ,
    CALCULATED_FLAG                 VARCHAR2(4)   ,
    FORMULA_DEFINITION              VARCHAR2(4000),
    DRILL_REPORT_PATH               VARCHAR2(1024),
    ENABLED_FLAG                    VARCHAR2(4)       NOT NULL,
    VO_ATTR_NAME                    VARCHAR2(1024),
    METRICS_DATA_SOURCE             VARCHAR2(120) ,
    METRICS_QUERY_HANDLER           VARCHAR2(1024),
    METRICS_DRILL_HANDLER           VARCHAR2(1024),
    BI_FACT_NAME                    VARCHAR2(320) ,
    BI_FACT_ATTR_NAME               VARCHAR2(320) ,
    INTERNAL_FLAG                   VARCHAR2(4)   ,
    CUMULATIVE_FLAG                 VARCHAR2(4)   ,
    CUMULATIVE_HISTORY_REQUIRED     VARCHAR2(4)   ,
    ASSOCIATED_TIME_ENTITY          VARCHAR2(1024),
    ASSOCIATED_TIME_ENTITY_ATTRS    VARCHAR2(1024),
    TERR_METRIC_SUBJECT_AREA_ID     NUMBER(18, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CONFLICT_ID                     NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_mot_terr_metrics_b PRIMARY KEY (TERR_METRIC_ID, TERR_METRIC_ID)
);
